GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
String | getRecipientName ()
void | setRecipientName (String value)
String | getAlternateRecipientName ()
void | setAlternateRecipientName (String value)
String | getBuilding ()
void | setBuilding (String value)
String | getFloor ()
void | setFloor (String value)
String | getRoom ()
void | setRoom (String value)
String | getPhonenumber ()
void | setPhonenumber (String value)

## Protected Attributes
String | serviceName
String | recipientName
String | alternateRecipientName
String | building
String | floor
String | room
String | phonenumber

## Detailed Description

Delivery at work service attributes

Java class for DeliveryAtWorkService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="DeliveryAtWorkService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="RecipientName" type="{http://fpcs.gls-group.eu/v1/Common}Name"/>
            <element name="AlternateRecipientName" type="{http://fpcs.gls-group.eu/v1/Common}Name" minOccurs="0"/>
            <element name="Building" type="{http://fpcs.gls-group.eu/v1/Common}Building"/>
            <element name="Floor" type="{http://fpcs.gls-group.eu/v1/Common}Floor"/>
            <element name="Room" type="{http://fpcs.gls-group.eu/v1/Common}Room" minOccurs="0"/>
            <element name="Phonenumber" type="{http://fpcs.gls-group.eu/v1/Common}Phonenumber"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 49 of file DeliveryAtWorkService.java.

## Member Function Documentation

## ◆ getAlternateRecipientName()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getAlternateRecipientName | ( |  | ) |

Gets the value of the alternateRecipientName property.

Returns
  possible object is String

Definition at line 122 of file DeliveryAtWorkService.java.

## ◆ getBuilding()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getBuilding | ( |  | ) |

Gets the value of the building property.

Returns
  possible object is String

Definition at line 146 of file DeliveryAtWorkService.java.

## ◆ getFloor()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getFloor | ( |  | ) |

Gets the value of the floor property.

Returns
  possible object is String

Definition at line 170 of file DeliveryAtWorkService.java.

## ◆ getPhonenumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getPhonenumber | ( |  | ) |

Gets the value of the phonenumber property.

Returns
  possible object is String

Definition at line 218 of file DeliveryAtWorkService.java.

## ◆ getRecipientName()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getRecipientName | ( |  | ) |

Gets the value of the recipientName property.

Returns
  possible object is String

Definition at line 98 of file DeliveryAtWorkService.java.

## ◆ getRoom()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getRoom | ( |  | ) |

Gets the value of the room property.

Returns
  possible object is String

Definition at line 194 of file DeliveryAtWorkService.java.

## ◆ getServiceName()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 74 of file DeliveryAtWorkService.java.

## ◆ setAlternateRecipientName()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setAlternateRecipientName | ( | String | value | ) |

Sets the value of the alternateRecipientName property.

Parameters

  value | allowed object is String

Definition at line 134 of file DeliveryAtWorkService.java.

## ◆ setBuilding()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setBuilding | ( | String | value | ) |

Sets the value of the building property.

Parameters

  value | allowed object is String

Definition at line 158 of file DeliveryAtWorkService.java.

## ◆ setFloor()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setFloor | ( | String | value | ) |

Sets the value of the floor property.

Parameters

  value | allowed object is String

Definition at line 182 of file DeliveryAtWorkService.java.

## ◆ setPhonenumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setPhonenumber | ( | String | value | ) |

Sets the value of the phonenumber property.

Parameters

  value | allowed object is String

Definition at line 230 of file DeliveryAtWorkService.java.

## ◆ setRecipientName()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setRecipientName | ( | String | value | ) |

Sets the value of the recipientName property.

Parameters

  value | allowed object is String

Definition at line 110 of file DeliveryAtWorkService.java.

## ◆ setRoom()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setRoom | ( | String | value | ) |

Sets the value of the room property.

Parameters

  value | allowed object is String

Definition at line 206 of file DeliveryAtWorkService.java.

## ◆ setServiceName()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 86 of file DeliveryAtWorkService.java.

## Member Data Documentation

## ◆ alternateRecipientName

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.alternateRecipientName
| protected

Definition at line 56 of file DeliveryAtWorkService.java.

## ◆ building

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.building
| protected

Definition at line 58 of file DeliveryAtWorkService.java.

## ◆ floor

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.floor
| protected

Definition at line 60 of file DeliveryAtWorkService.java.

## ◆ phonenumber

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.phonenumber
| protected

Definition at line 64 of file DeliveryAtWorkService.java.

## ◆ recipientName

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.recipientName
| protected

Definition at line 54 of file DeliveryAtWorkService.java.

## ◆ room

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.room
| protected

Definition at line 62 of file DeliveryAtWorkService.java.

## ◆ serviceName

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DeliveryAtWorkService.serviceName
| protected

Definition at line 52 of file DeliveryAtWorkService.java.

The documentation for this class was generated from the following file:

- DeliveryAtWorkService.java